SeExpr

Public Member Functions | Private Slots | Private Attributes | List of all members
DeepWaterControl Class Reference

Control for displaying a deep water spectrum. More...

`#include <ExprControl.h>`

Inheritance diagram for DeepWaterControl:

## Public Member Functions
| DeepWaterControl (int id, DeepWaterEditable *stringEditable)
Public Member Functions inherited from ExprControl
| ExprControl (int id, Editable *editable, bool showColorLink)
virtual | ~ExprControl ()
virtual QColor | getColor ()
| Interface for getting the color (used for linked color picking) More...
virtual void | setColor (QColor color)
| Interface for setting the color (used for linked color picking) More...
void | linkDisconnect (int newId)

## Private Slots
void | deepWaterChanged ()

## Private Attributes
DeepWaterEditable * | _deepWaterEditable
| curve model More...
ExprDeepWater * | _deepWater
| deep water widget More...

## Additional Inherited Members
Public Slots inherited from ExprControl
void | linkStateChange (int state)
Signals inherited from ExprControl
void | controlChanged (int id)
void | linkColorEdited (int id, QColor color)
void | linkColorLink (int id)
Protected Attributes inherited from ExprControl
int | _id
bool | _updating
QHBoxLayout * | hbox
QCheckBox * | _colorLinkCB
QLabel * | _label
Editable * | _editable

## Detailed Description

Control for displaying a deep water spectrum.

Definition at line 329 of file ExprControl.h.

## Constructor & Destructor Documentation

## ◆ DeepWaterControl()

DeepWaterControl::DeepWaterControl | ( | int | id,
|  | DeepWaterEditable * | stringEditable
| ) |  |

Definition at line 720 of file ExprControl.cpp.

References _deepWater, ExprDeepWater::_scene, deepWaterChanged(), ExprControl::hbox, DeepWaterEditable::params, and ExprDeepWater::setParams().

## Member Function Documentation

## ◆ deepWaterChanged

void DeepWaterControl::deepWaterChanged | ( |  | ) |
| private slot

Definition at line 729 of file ExprControl.cpp.

References _deepWater, _deepWaterEditable, ExprControl::_id, ExprDeepWater::_scene, ExprControl::controlChanged(), DeepWaterScene::params, and DeepWaterEditable::params.

Referenced by DeepWaterControl().

## Member Data Documentation

## ◆ _deepWater

ExprDeepWater* DeepWaterControl::_deepWater
| private

deep water widget

Definition at line 335 of file ExprControl.h.

Referenced by deepWaterChanged(), and DeepWaterControl().

## ◆ _deepWaterEditable

DeepWaterEditable* DeepWaterControl::_deepWaterEditable
| private

curve model

Definition at line 333 of file ExprControl.h.

Referenced by deepWaterChanged().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.cpp